OGRE: Ogre::WorkQueue::Response Struct Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | Public Attributes | List of all members
Ogre::WorkQueue::Response Struct Reference

General purpose response structure. More...

`#include <OgreWorkQueue.h>`

Inheritance diagram for Ogre::WorkQueue::Response:
[legend]

## Public Member Functions
| Response (const Request *rq, bool success, const Any &data, const String &msg=BLANKSTRING)
| ~Response ()
void | abortRequest ()
| Abort the request. More...
const Any & | getData () const
| Return the response data (user defined, only valid on success) More...
const String & | getMessages () const
| Get any diagnostic messages about the process. More...
const Request * | getRequest () const
| Get the request that this is a response to (NB destruction destroys this) More...
void | operator delete (void *ptr)
void | operator delete (void *ptr, const char *, int, const char *)
void | operator delete (void *ptr, void *)
void | operator delete[] (void *ptr)
void | operator delete[] (void *ptr, const char *, int, const char *)
void * | operator new (size_t sz)
void * | operator new (size_t sz, const char *file, int line, const char *func)
| operator new, with debug line info More...
void * | operator new (size_t sz, void *ptr)
| placement operator new More...
void * | operator new[] (size_t sz)
void * | operator new[] (size_t sz, const char *file, int line, const char *func)
| array operator new, with debug line info More...
bool | succeeded () const
| Return whether this is a successful response. More...

## Public Attributes
Any | mData
| Data associated with the result of the process. More...
String | mMessages
| Any diagnostic messages. More...
const Request * | mRequest
| Pointer to the request that this response is in relation to. More...
bool | mSuccess
| Whether the work item succeeded or not. More...

## Detailed Description

General purpose response structure.

## Constructor & Destructor Documentation

## ◆ Response()

Ogre::WorkQueue::Response::Response | ( | const Request * | rq,
|  | bool | success,
|  | const Any & | data,
|  | const String & | msg = `BLANKSTRING`
| ) |  |

## ◆ ~Response()

Ogre::WorkQueue::Response::~Response | ( |  | ) |

## Member Function Documentation

## ◆ abortRequest()

void Ogre::WorkQueue::Response::abortRequest | ( |  | ) |
| inline

Abort the request.

References Ogre::WorkQueue::Request::abortRequest(), and Ogre::Any::destroy().

## ◆ getData()

const Any& Ogre::WorkQueue::Response::getData | ( |  | ) | const
| inline

Return the response data (user defined, only valid on success)

## ◆ getMessages()

const String& Ogre::WorkQueue::Response::getMessages | ( |  | ) | const
| inline

Get any diagnostic messages about the process.

## ◆ getRequest()

const Request* Ogre::WorkQueue::Response::getRequest | ( |  | ) | const
| inline

Get the request that this is a response to (NB destruction destroys this)

Referenced by Ogre::WorkQueue::ResponseHandler::canHandleResponse().

## ◆ operator delete() [1/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete() [2/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator delete() [3/3]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete | ( | void * | ptr,
|  | void * |
| ) |  |
| inlineinherited

## ◆ operator delete[]() [1/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr | ) |
| inlineinherited

## ◆ operator delete[]() [2/2]

template<class Alloc >

void Ogre::AllocatedObject< Alloc >::operator delete[] | ( | void * | ptr,
|  | const char * | ,
|  | int | ,
|  | const char * |
| ) |  |
| inlineinherited

## ◆ operator new() [1/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new() [2/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

operator new, with debug line info

## ◆ operator new() [3/3]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new | ( | size_t | sz,
|  | void * | ptr
| ) |  |
| inlineinherited

placement operator new

## ◆ operator new[]() [1/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz | ) |
| inlineinherited

## ◆ operator new[]() [2/2]

template<class Alloc >

void* Ogre::AllocatedObject< Alloc >::operator new[] | ( | size_t | sz,
|  | const char * | file,
|  | int | line,
|  | const char * | func
| ) |  |
| inlineinherited

array operator new, with debug line info

## ◆ succeeded()

bool Ogre::WorkQueue::Response::succeeded | ( |  | ) | const
| inline

Return whether this is a successful response.

## Member Data Documentation

## ◆ mData

Any Ogre::WorkQueue::Response::mData

Data associated with the result of the process.

## ◆ mMessages

String Ogre::WorkQueue::Response::mMessages

Any diagnostic messages.

## ◆ mRequest

const Request* Ogre::WorkQueue::Response::mRequest

Pointer to the request that this response is in relation to.

## ◆ mSuccess

bool Ogre::WorkQueue::Response::mSuccess

Whether the work item succeeded or not.

The documentation for this struct was generated from the following file:

- OgreWorkQueue.h